> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction

> <p>When the shop scans the barcode, partner can send the transaction ID to Sonect to get transaction details such as the amount. The cashier can then decide to reject or confirm the transaction.</p>



## OpenAPI

````yaml 13 get /transaction?id=transaction_id
openapi: 3.0.0
info:
  title: finAPI Access Product - V2
  version: 1.0.0
servers:
  - url: http://127.0.0.1:3000
security: []
tags:
  - name: '** 1. Pre- Requirements  **'
  - name: 'Use Case 1a: Import, Update & get Account info (demo bank)'
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 1b:  Import, Update & get Account info (Real Bank)'
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 2 : Standalone payment'
  - name: 'Use Case 2 : Standalone payment > 2. Create Payment'
  - name: 'Use Case 2 : Standalone payment > 3. Check Payment Status'
  - name: 'Use Case 3 : Payment with accountId'
  - name: 'Use Case 3 : Payment with accountId > 2. Create Payment'
  - name: 'Use Case 3 : Payment with accountId > 3. Check Payment Status'
  - name: 'Use Case 4: Direct debit'
  - name: 'Use Case 4: Direct debit > 2. Create Payment'
  - name: 'Use Case 4: Direct debit > 3. Check Payment Status'
  - name: 'Use Case 5: Standing Orders'
  - name: 'Use Case 5: Standing Orders > 2. Create Payment'
  - name: 'Use Case 5: Standing Orders > 3. Check Payment Status'
  - name: '** Clean up **'
paths:
  /transaction?id=transaction_id:
    get:
      tags:
        - '** 1. Pre- Requirements  **'
      summary: Get Transaction
      description: >-
        <p>When the shop scans the barcode, partner can send the transaction ID
        to Sonect to get transaction details such as the amount. The cashier can
        then decide to reject or confirm the transaction.</p>
      parameters:
        - in: query
          name: id
          schema:
            type: string
          description: The number of items to skip before starting to collect the
      responses:
        '201':
          description: Successful response
          content:
            application/json: {}
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````